Bug 1286137 - [abrt] ksysguard: _XEventsQueued(): ksysguard killed by SIGSEGV
[abrt] ksysguard: _XEventsQueued(): ksysguard killed by SIGSEGV
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ksysguard (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: KDE SIG
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:a809f268eda73f9f108ffb04b3a...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-27 06:50 EST by Christian Stadelmann
Modified: 2016-09-28 15:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-09-28 15:39:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (37.86 KB, text/plain)
2015-11-27 06:50 EST, Christian Stadelmann
no flags Details
File: core_backtrace (5.70 KB, text/plain)
2015-11-27 06:50 EST, Christian Stadelmann
no flags Details
File: dso_list (19.49 KB, text/plain)
2015-11-27 06:50 EST, Christian Stadelmann
no flags Details
File: exploitable (100 bytes, text/plain)
2015-11-27 06:50 EST, Christian Stadelmann
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-27 06:50 EST, Christian Stadelmann
no flags Details
File: maps (83.60 KB, text/plain)
2015-11-27 06:50 EST, Christian Stadelmann
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-27 06:50 EST, Christian Stadelmann
no flags Details
File: open_fds (1.07 KB, text/plain)
2015-11-27 06:50 EST, Christian Stadelmann
no flags Details
File: proc_pid_status (1014 bytes, text/plain)
2015-11-27 06:50 EST, Christian Stadelmann
no flags Details

  None (edit)
Description Christian Stadelmann 2015-11-27 06:50:01 EST
Description of problem:
Steps to reproduce:
1. run a gnome+wayland session or open weston
2. start ksysguard with wayland backend by running `QT_QPA_PLATFORM=wayland-egl ksysguard`

What happens:
Ksysguard immediately crashes.

Version-Release number of selected component:
ksysguard-5.4.3-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        ksysguard
crash_function: _XEventsQueued
executable:     /usr/bin/ksysguard
kernel:         4.2.6-301.fc23.x86_64
runlevel:       N 5
type:           CCpp

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 _XEventsQueued at xcb_io.c:350
 #1 _XGetRequest at XlibInt.c:1702
 #2 XQueryExtension at QuExt.c:44
 #3 XInitExtension at InitExt.c:47
 #4 XextAddDisplay at extutil.c:110
 #5 XResQueryExtension at XRes.c:62
 #6 ProcessModel::ProcessModel(QObject*, QString const&) at ../../processui/ProcessModel.cpp:147
 #7 KSysGuardProcessListPrivate::KSysGuardProcessListPrivate(KSysGuardProcessList*, QString const&) at ../../processui/ksysguardprocesslist.cpp:153
 #8 KSysGuardProcessList::KSysGuardProcessList(QWidget*, QString const&) at ../../processui/ksysguardprocesslist.cpp:249
 #9 ProcessController::addSensor(QString const&, QString const&, QString const&, QString const&) at ../../gui/SensorDisplayLib/ProcessController.cpp:147
Comment 1 Christian Stadelmann 2015-11-27 06:50:06 EST
Created attachment 1099665 [details]
File: backtrace
Comment 2 Christian Stadelmann 2015-11-27 06:50:07 EST
Created attachment 1099666 [details]
File: core_backtrace
Comment 3 Christian Stadelmann 2015-11-27 06:50:09 EST
Created attachment 1099667 [details]
File: dso_list
Comment 4 Christian Stadelmann 2015-11-27 06:50:11 EST
Created attachment 1099668 [details]
File: exploitable
Comment 5 Christian Stadelmann 2015-11-27 06:50:12 EST
Created attachment 1099669 [details]
File: limits
Comment 6 Christian Stadelmann 2015-11-27 06:50:14 EST
Created attachment 1099670 [details]
File: maps
Comment 7 Christian Stadelmann 2015-11-27 06:50:16 EST
Created attachment 1099671 [details]
File: namespaces
Comment 8 Christian Stadelmann 2015-11-27 06:50:17 EST
Created attachment 1099672 [details]
File: open_fds
Comment 9 Christian Stadelmann 2015-11-27 06:50:18 EST
Created attachment 1099673 [details]
File: proc_pid_status
Comment 10 Christian Stadelmann 2015-12-09 14:19:59 EST
Another user experienced a similar problem:

Starting KSysguard with QT_QPA_PLATFORM=wayland-egl (in a gnome+wayland session) instantly crashes ksysguard

reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        ksysguard
crash_function: _XEventsQueued
executable:     /usr/bin/ksysguard
kernel:         4.2.6-301.fc23.x86_64
package:        ksysguard-5.5.0-1.fc23
reason:         ksysguard killed by SIGSEGV
runlevel:       N 5
type:           CCpp
Comment 11 Christian Stadelmann 2016-09-28 15:39:09 EDT
I cannot reproduce this issue any more on F25.

Note You need to log in before you can comment on or make changes to this bug.